<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j">
	<h:commandButton value="#{messages['gazelle.xdw.simulator.Download']}"
		styleClass="gzl-btn-blue"
		action="#{generatorManagerBean.downloadFile(commonEditorManager.getAttributeAsString(xDWTXDWWorkflowDocumentEditorManager.selectedXDWTXDWWorkflowDocument, 'net.ihe.gazelle.xdw'))}" />
	<!-- <rich:spacer height="10px" /> -->
	<h:commandButton value="#{messages['gazelle.xdw.simulator.Validate']}"
		styleClass="gzl-btn-blue"
		action="#{generatorManagerBean.validate(commonEditorManager.getAttributeAsString(xDWTXDWWorkflowDocumentEditorManager.selectedXDWTXDWWorkflowDocument, 'net.ihe.gazelle.xdw'))}"
		target="_blank" />
	<!-- <rich:spacer height="10px" /> -->
	<a4j:commandButton value="#{messages['gazelle.xdw.simulator.Save']}"
		styleClass="gzl-btn-green"
		actionListener="#{generatorManagerBean.initSaveAction()}"
		oncomplete="jq162('#saveModalPanel').modal('show');"
		render="saveModalPanel" />
	<br/>
  <br/>
  <gri:popupPanel id="saveModalPanel" styleClass="modal-sm">
    <f:facet name="header">
      <h:outputText value="#{messages['gazelle.xdw.simulator.SaveXDWDocument']}"/>
    </f:facet>
    <h:outputText value="#{messages['gazelle.xdw.simulator.HereYouCanSaveYourDocumentGeneratedAndDownloadOr']}"/>
    <s:decorate template="/layout/form/_edit.xhtml">
      <ui:define name="label">#{messages['gazelle.xdw.simulator.FileName']}</ui:define>
      <h:inputText value="#{generatorManagerBean.fileToSaveName}"/>
    </s:decorate>
    <div align="right">
			<a4j:commandButton
				styleClass="gzl-btn-green"
				value="#{messages['gazelle.xdw.simulator.Confirm']}"
				action="#{generatorManagerBean.saveXDWDoc(commonEditorManager.getAttributeAsString(xDWTXDWWorkflowDocumentEditorManager.selectedXDWTXDWWorkflowDocument, 'net.ihe.gazelle.xdw'))}"
				onclick="jq162('#saveModalPanel').modal('hide')"
				render="messageDecoration" />
			<a4j:commandButton
				styleClass="gzl-btn-red"
				value="#{messages['gazelle.xdw.simulator.Cancel']}"
				onclick="jq162('#saveModalPanel').modal('hide')" execute="@this" />
		</div>
  </gri:popupPanel>
</ui:composition>
